# is_ltl.hh File Reference

Letter-to-letter feature testing. More...

Include dependency graph for is_ltl.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename S , typename A >
bool | is_ltl (const Element< S, A > &t)
| Test whether an FMP transducer is letter-to-letter.

## Detailed Description

Letter-to-letter feature testing.

An FMP transducer T over the free monoid product is letter-to-letter (LTL) if and only if (1) the support of every of its transitions is in , and (2) its initial and final weights are scalar.

Remarks:
  Synonyms: ltl, letter-to-letter, lettre-à-lettre

See also:
  is_ltl(), is_sub_normalized(), is_normalized()

Definition in file is_ltl.hh.